Bug 1262880 - plymouth displays space as \x20
plymouth displays space as \x20
Status: ASSIGNED
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: systemd (Show other bugs)
7.2
All Linux
low Severity low
: rc
: ---
Assigned To: Lukáš Nykrýn
qe-baseos-daemons
:
Depends On:
Blocks: 1289485 1313485
  Show dependency treegraph
 
Reported: 2015-09-14 10:28 EDT by Jeff Bastian
Modified: 2018-02-14 18:05 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jeff Bastian 2015-09-14 10:28:40 EDT
Description of problem:
The plymouth prompt for the LUKS password displays spaces in the disk label as \x20:

    Please enter passphrase for disk Linux\x20LVM (luks-<UUID>)!

This is from the PARTLABEL on /dev/sda3 on my system as created by anaconda:

~]$ sudo blkid | grep sda3
/dev/sda3: UUID=""<UUID>" TYPE="crypto_LUKS" PARTLABEL="Linux LVM" PARTUUID="<UUID>" 

Version-Release number of selected component (if applicable):
plymouth-0.8.9-0.21.20140113.el7.x86_64

How reproducible:
always

Steps to Reproduce:
1. install RHEL7 with LUKS encryption on the disk
2. boot with plymouth GUI

Actual results:
prompt displays space in the label as \x20: "Linux\x20LVM"

Expected results:
prompt displays space as a space: "Linux LVM"

Additional info:
Comment 2 Ray Strode [halfline] 2015-09-14 13:13:12 EDT
plymouth doesn't pick the message. i believe that comes from dracut still, reassigning.
Comment 3 Harald Hoyer 2015-12-15 09:35:35 EST
(In reply to Ray Strode (on paternity leave) [halfline] from comment #2)
> plymouth doesn't pick the message. i believe that comes from dracut still,
> reassigning.

in rhel-7, it's systemd
Comment 5 Lukáš Nykrýn 2016-09-13 11:11:06 EDT
We did not make it to 7.3, let's postpone to 7.4

Note You need to log in before you can comment on or make changes to this bug.